Search Engine

Overview

SCP에서 제공하는 IaaS/PaaS 상품을 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.

본 가이드는 Search Engine 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.

Version

Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.

VersionStatusNot Before
1.1CURRENT-
1.0SUPPORTED20261031

OpenAPI URL

https://searchengine.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

API Version History

1.1

Search Engine API 버전 1.1이 출시되었습니다.

변경사항

  • [신규] POST /searchengine/1.1/clusters/{cluster_id}/backups/manual - CreateManualBackup API가 추가되었습니다.
  • [신규] GET /searchengine/1.1/clusters/{cluster_id}/instances/{instance_name} - ShowInstance API가 추가되었습니다.
  • [변경] POST /searchengine/1.1/clusters - CreateCluster API가 변경되었습니다.
    • 요청 시, 아래와 같은 필드가 추가됩니다.
      • service_watch_log_collection
  • [변경] GET /searchengine/1.1/clusters/{cluster_id} - ShowCluster API가 변경되었습니다.
    • 응답 시, 아래와 같은 필드가 추가됩니다.
      • service_watch_log_collection

1.0

Search Engine API가 출시되었습니다.

변경사항

  • [신규] POST /searchengine/1.0/block-storage-groups/{block_storage_group_id}/resize - SetBlockStorageSize 1.0 API 가 추가되었습니다.
  • [신규] GET /searchengine/1.0/clusters - ListClusters 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/clusters - CreateCluster 1.0 API 가 추가되었습니다.
  • [신규] DELETE /searchengine/1.0/clusters/{cluster_id} - DeleteCluster 1.0 API 가 추가되었습니다.
  • [신규] GET /searchengine/1.0/clusters/{cluster_id} - ShowCluster 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/clusters/{cluster_id}/add-instances - AddInstances 1.0 API 가 추가되었습니다.
  • [신규] GET /searchengine/1.0/clusters/{cluster_id}/backup-histories - ListBackupHistories 1.0 API 가 추가되었습니다.
  • [신규] PUT /searchengine/1.0/clusters/{cluster_id}/backup-histories - RemoveBackupHistories 1.0 API 가 추가되었습니다.
  • [신규] DELETE /searchengine/1.0/clusters/{cluster_id}/backups - UnsetBackup 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/clusters/{cluster_id}/backups - SetBackup 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/clusters/{cluster_id}/dashboard-restart - RestartDashboard 1.0 API 가 추가되었습니다.
  • [신규] DELETE /searchengine/1.0/clusters/{cluster_id}/maintenance - UnsetMaintenance 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/clusters/{cluster_id}/maintenance - SetMaintenance 1.0 API 가 추가되었습니다.
  • [신규] PUT /searchengine/1.0/clusters/{cluster_id}/patch - PatchMinorVersion 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/clusters/{cluster_id}/restart - RestartCluster 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/clusters/{cluster_id}/restore - CreateRestore 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/clusters/{cluster_id}/security-group-rules - SetSecurityGroupRules 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/clusters/{cluster_id}/start - StartCluster 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/clusters/{cluster_id}/stop - StopCluster 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/clusters/{cluster_id}/sync-state - SyncClusterState 1.0 API 가 추가되었습니다.
  • [신규] GET /searchengine/1.0/engine-versions - ListEngineVersions 1.0 API 가 추가되었습니다.
  • [신규] GET /searchengine/1.0/engine-versions/{dbaas_engine_version_id}/properties - ListEngineVersionProperties 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/instance-groups/{instance_group_id}/block-storage-groups - AddBlockStorages 1.0 API 가 추가되었습니다.
  • [신규] POST /searchengine/1.0/instance-groups/{instance_group_id}/resize - SetServerType 1.0 API 가 추가되었습니다.
  • [신규] GET /searchengine/1.0/requests/{request_id} - ShowRequest 1.0 API 가 추가되었습니다.
  • [신규] GET /searchengine/1.0/server-types - ListServerTypes 1.0 API 가 추가되었습니다.

1 - APIs

1.1 - Add Block Storages

1.1.1 - 1.1

post /v1/instance-groups/{instance_group_id}/block-storage-groups

Description

Add Block Storages.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

AddBlockStoragesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/block-storage-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Request body

{
    "role_type": "OS",
    "size_gb": 104,
    "volume_type": "SSD"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.1.2 - 1.0

post /v1/instance-groups/{instance_group_id}/block-storage-groups

Description

Add Block Storages.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

AddBlockStoragesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/block-storage-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "role_type": "OS",
    "size_gb": 104,
    "volume_type": "SSD"
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.2 - Add Instances

1.2.1 - 1.1

post /v1/clusters/{cluster_id}/add-instances

Description

Add Instances.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

SearchEngineClusterAddInstancesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/add-instances

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Request body

{
    "instance_count": "",
    "public_ip_ids": [
        ""
    ],
    "service_ip_addresses": [
        ""
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.2.2 - 1.0

post /v1/clusters/{cluster_id}/add-instances

Description

Add Instances.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

SearchEngineClusterAddInstancesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/add-instances

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "instance_count": "",
    "public_ip_ids": [
        ""
    ],
    "service_ip_addresses": [
        ""
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.3 - Create Cluster

1.3.1 - 1.1

post /v1/clusters

Description

Create Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SearchEngineClusterCreateRequestV1Dot1

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Request body

{
    "allowable_ip_addresses": [],
    "dbaas_engine_version_id": "",
    "init_config_option": {
        "backup_option": {
            "retention_period_day": "",
            "starting_time_hour": ""
        },
        "database_port": 2866,
        "database_user_name": "mydatabaseusr",
        "database_user_password": "test123!"
    },
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "OS",
                    "size_gb": 104,
                    "volume_type": "SSD"
                },
                {
                    "role_type": "DATA",
                    "size_gb": 56,
                    "volume_type": "SSD"
                }
            ],
            "instances": [
                {
                    "public_ip_id": "",
                    "role_type": "DATA",
                    "service_ip_address": "192.168.10.10/32"
                }
            ],
            "role_type": "DATA",
            "server_type_name": "ses1v2m4"
        }
    ],
    "instance_name_prefix": "",
    "is_combined": false,
    "license": "",
    "maintenance_option": {
        "period_hour": "5",
        "starting_day_of_week": "MON",
        "starting_time": "0000"
    },
    "name": "",
    "nat_enabled": false,
    "service_watch_log_collection": true,
    "subnet_id": "",
    "tags": [],
    "timezone": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.3.2 - 1.0

post /v1/clusters

Description

Create Cluster.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SearchEngineClusterCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "dbaas_engine_version_id": "",
    "init_config_option": {
        "backup_option": {
            "retention_period_day": "",
            "starting_time_hour": ""
        },
        "database_port": 2866,
        "database_user_name": "mydatabaseusr",
        "database_user_password": "test123!"
    },
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "OS",
                    "size_gb": 104,
                    "volume_type": "SSD"
                },
                {
                    "role_type": "DATA",
                    "size_gb": 56,
                    "volume_type": "SSD"
                }
            ],
            "instances": [
                {
                    "public_ip_id": "",
                    "role_type": "DATA",
                    "service_ip_address": "192.168.10.10/32"
                }
            ],
            "role_type": "DATA",
            "server_type_name": "ses1v2m4"
        }
    ],
    "instance_name_prefix": "",
    "is_combined": false,
    "license": "",
    "maintenance_option": {
        "period_hour": "5",
        "starting_day_of_week": "MON",
        "starting_time": "0000"
    },
    "name": "",
    "nat_enabled": false,
    "subnet_id": "",
    "tags": [],
    "timezone": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.4 - Create Restore Cluster

1.4.1 - 1.1

post /v1/clusters/{cluster_id}/restore

Description

Create Restore Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

SearchEngineClusterRestoreRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restore

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Request body

{
    "allowable_ip_addresses": [],
    "backup_history_number": "",
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "OS",
                    "size_gb": 104,
                    "volume_type": "SSD"
                }
            ],
            "role_type": "ACTIVE"
        }
    ],
    "instance_name_prefix": "",
    "license": "",
    "maintenance_option": {
        "period_hour": "5",
        "starting_day_of_week": "MON",
        "starting_time": "0000"
    },
    "name": "",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.4.2 - 1.0

post /v1/clusters/{cluster_id}/restore

Description

Create Restore Cluster.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

SearchEngineClusterRestoreRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restore

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "allowable_ip_addresses": [],
    "backup_history_number": "",
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "role_type": "OS",
                    "size_gb": 104,
                    "volume_type": "SSD"
                }
            ],
            "role_type": "ACTIVE"
        }
    ],
    "instance_name_prefix": "",
    "license": "",
    "maintenance_option": {
        "period_hour": "5",
        "starting_day_of_week": "MON",
        "starting_time": "0000"
    },
    "name": "",
    "tags": [
        {
            "key": "",
            "value": ""
        }
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.5 - List Backup Histories

1.5.1 - 1.1

get /v1/clusters/{cluster_id}/backup-histories

Description

List Backup Histories.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
querylimit
optional
Number of backup lists
Example :
any of [integer, null]None
querypage
optional
Backup list page
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupHistoryListApiResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_end_at": "",
            "backup_history_number": "",
            "backup_size_gb": "",
            "backup_start_at": "",
            "backup_state": "",
            "backup_state_detail": "",
            "software_version": ""
        }
    ],
    "total_count": ""
}

1.5.2 - 1.0

get /v1/clusters/{cluster_id}/backup-histories

Description

List Backup Histories.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
querylimit
optional
Number of backup lists
Example :
any of [integer, null]None
querypage
optional
Backup list page
Example :
any of [integer, null]None

Responses

HTTP CodeDescriptionSchema
200OKBackupHistoryListApiResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "backup_end_at": "",
            "backup_history_number": "",
            "backup_size_gb": "",
            "backup_start_at": "",
            "backup_state": "",
            "backup_state_detail": "",
            "software_version": ""
        }
    ],
    "total_count": ""
}

1.6 - List Clusters

1.6.1 - 1.1

get /v1/clusters

Description

List Clusters.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
queryname
optional
Cluster name
Example :
any of [string, null]None
queryservice_state
optional
Service state
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKClusterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "ha_enabled": false,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "instance_count": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "role_type": "ORIGIN",
            "service_state": "RUNNING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.6.2 - 1.0

get /v1/clusters

Description

List Clusters.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]name:asc
queryname
optional
Cluster name
Example :
any of [string, null]None
queryservice_state
optional
Service state
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKClusterPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "account_id": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "ha_enabled": false,
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "instance_count": 0,
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "role_type": "ORIGIN",
            "service_state": "RUNNING"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.7 - List Engine Version Properties

1.7.1 - 1.1

get /v1/engine-versions/{dbaas_engine_version_id}/properties

Description

List Engine Version Properties.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathdbaas_engine_version_id
required
DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKEnginePropertyListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions/{dbaas_engine_version_id}/properties

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "name": "",
            "value": ""
        }
    ]
}

1.7.2 - 1.0

get /v1/engine-versions/{dbaas_engine_version_id}/properties

Description

List Engine Version Properties.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathdbaas_engine_version_id
required
DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint.
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKEnginePropertyListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions/{dbaas_engine_version_id}/properties

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "name": "",
            "value": ""
        }
    ]
}

1.8 - List Engine Versions

1.8.1 - 1.1

get /v1/engine-versions

Description

List Engine Versions.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryid
optional
DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint.
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null]None
queryeos_included
optional
EoS included
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKEngineListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "end_of_service": false,
            "id": "",
            "major_version": "",
            "name": "",
            "os_type": "",
            "os_version": "",
            "product_image_type": "",
            "software_version": ""
        }
    ]
}

1.8.2 - 1.0

get /v1/engine-versions

Description

List Engine Versions.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
queryid
optional
DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint.
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [enum (PostgreSQL Community, MariaDB Community, MySQL Community, EPAS, Microsoft SQL Server Enterprise, Microsoft SQL Server Standard, Redis OSS Sentinel, Valkey Sentinel, Kafka, Elasticsearch Enterprise, OpenSearch, Vertica Enterprise, Vertica Community, Scalable DB MariaDB Community), null]None
queryeos_included
optional
EoS included
Example : False
booleanFalse

Responses

HTTP CodeDescriptionSchema
200OKEngineListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/engine-versions

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "end_of_service": false,
            "id": "",
            "major_version": "",
            "name": "",
            "os_type": "",
            "os_version": "",
            "product_image_type": "",
            "software_version": ""
        }
    ]
}

1.9 - List Server Types

1.9.1 - 1.1

get /v1/server-types

Description

List Server Types.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Server type name
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerTypeListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/server-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cpu_core": "",
            "description": "",
            "memory_gb": "",
            "name": "",
            "product_image_type": "",
            "product_type": "",
            "purpose": "",
            "type": ""
        }
    ]
}

1.9.2 - 1.0

get /v1/server-types

Description

List Server Types.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
Server type name
Example :
any of [string, null]None
queryproduct_image_type
optional
Product image type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKServerTypeListResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/server-types

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "contents": [
        {
            "cpu_core": "",
            "description": "",
            "memory_gb": "",
            "name": "",
            "product_image_type": "",
            "product_type": "",
            "purpose": "",
            "type": ""
        }
    ]
}

1.10 - Manual Backup

1.10.1 - 1.1

post /v1/clusters/{cluster_id}/backups/manual

Description

Manual Backup.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups/manual

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.11 - Patch Minor Version

1.11.1 - 1.1

put /v1/clusters/{cluster_id}/patch

Description

Patch Minor Version.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
DB cluster id
Example :
stringNone
bodybody
required

MinorPatchDbEngineRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/patch

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Request body

{
    "dbaas_engine": "",
    "software_version": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.11.2 - 1.0

put /v1/clusters/{cluster_id}/patch

Description

Patch Minor Version.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
DB cluster id
Example :
stringNone
bodybody
required

MinorPatchDbEngineRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/patch

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "dbaas_engine": "",
    "software_version": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.12 - Remove Backup Histories

1.12.1 - 1.1

put /v1/clusters/{cluster_id}/backup-histories

Description

Remove Backup Histories.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

BackupHistoryNumberRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Request body

{
    "backup_history_number": [
        ""
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.12.2 - 1.0

put /v1/clusters/{cluster_id}/backup-histories

Description

Remove Backup Histories.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

BackupHistoryNumberRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backup-histories

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "backup_history_number": [
        ""
    ]
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.13 - Restart Cluster

1.13.1 - 1.1

post /v1/clusters/{cluster_id}/restart

Description

Restart Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restart

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.13.2 - 1.0

post /v1/clusters/{cluster_id}/restart

Description

Restart Cluster.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/restart

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.14 - Restart Dashboard

1.14.1 - 1.1

post /v1/clusters/{cluster_id}/dashboard-restart

Description

Restart Dashboard.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/dashboard-restart

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.14.2 - 1.0

post /v1/clusters/{cluster_id}/dashboard-restart

Description

Restart Dashboard.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/dashboard-restart

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.15 - Set Backup

1.15.1 - 1.1

post /v1/clusters/{cluster_id}/backups

Description

Set Backup.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

BackupSettingExcludingArchiveRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Request body

{
    "retention_period_day": "",
    "starting_time_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.15.2 - 1.0

post /v1/clusters/{cluster_id}/backups

Description

Set Backup.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

BackupSettingExcludingArchiveRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "retention_period_day": "",
    "starting_time_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.16 - Set Block Storage Size

1.16.1 - 1.1

post /v1/block-storage-groups/{block_storage_group_id}/resize

Description

Set Block Storage Size.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathblock_storage_group_id
required
Block storage group ID
Example : afc33891202643ba8ba1a5298a1affff
stringNone
bodybody
required

ResizeBlockStorageGroupRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/block-storage-groups/{block_storage_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Request body

{
    "size_gb": 16
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.16.2 - 1.0

post /v1/block-storage-groups/{block_storage_group_id}/resize

Description

Set Block Storage Size.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathblock_storage_group_id
required
Block storage group ID
Example : afc33891202643ba8ba1a5298a1affff
stringNone
bodybody
required

ResizeBlockStorageGroupRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
500Internal Server ErrorNone

Example HTTP request

Request path

/v1/block-storage-groups/{block_storage_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "size_gb": 16
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.17 - Set Maintenance

1.17.1 - 1.1

post /v1/clusters/{cluster_id}/maintenance

Description

Set Maintenance.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

MaintenanceRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Request body

{
    "start_day_of_week": "MON",
    "start_minute": "",
    "start_time": "",
    "term_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.17.2 - 1.0

post /v1/clusters/{cluster_id}/maintenance

Description

Set Maintenance.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

MaintenanceRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "start_day_of_week": "MON",
    "start_minute": "",
    "start_time": "",
    "term_hour": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.18 - Set Security Group Rules

1.18.1 - 1.1

post /v1/clusters/{cluster_id}/security-group-rules

Description

Set Security Group Rules.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

UpdateSecurityGroupRulesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/security-group-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Request body

{
    "add_ip_addresses": [],
    "del_ip_addresses": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.18.2 - 1.0

post /v1/clusters/{cluster_id}/security-group-rules

Description

Set Security Group Rules.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
bodybody
required

UpdateSecurityGroupRulesRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/security-group-rules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "add_ip_addresses": [],
    "del_ip_addresses": []
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.19 - Set Server Type

1.19.1 - 1.1

post /v1/instance-groups/{instance_group_id}/resize

Description

Set Server Type.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

InstanceGroupResizeRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Request body

{
    "server_type_name": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.19.2 - 1.0

post /v1/instance-groups/{instance_group_id}/resize

Description

Set Server Type.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathinstance_group_id
required
Instance group ID
Example :
stringNone
bodybody
required

InstanceGroupResizeRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/instance-groups/{instance_group_id}/resize

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Request body

{
    "server_type_name": ""
}

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.20 - Show Cluster

1.20.1 - 1.1

get /v1/clusters/{cluster_id}

Description

Show Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSearchEngineClusterDetailResponseV1Dot1
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 200

{
    "account_id": "",
    "allowable_ip_addresses": [],
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "dbaas_engine": "PostgreSQL",
    "dbaas_engine_version_name": "",
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "init_config_option": {
        "backup_option": {
            "retention_period_day": "",
            "starting_time_hour": ""
        },
        "dashboards_port": "",
        "database_port": 9200,
        "database_user_name": "",
        "kibana_port": ""
    },
    "instance_count": 0,
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "id": "",
                    "name": "",
                    "role_type": "OS",
                    "size_gb": "",
                    "volume_type": "SSD"
                }
            ],
            "id": "",
            "instances": [
                {
                    "name": "",
                    "public_ip_address": "",
                    "public_ip_id": "",
                    "role_type": "",
                    "service_ip_address": "",
                    "service_state": "RUNNING"
                }
            ],
            "role_type": "",
            "server_type_name": ""
        }
    ],
    "is_combined": "",
    "license": {
        "license_expiry_date": "",
        "license_status": "",
        "license_type": ""
    },
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": "",
        "use_maintenance_option": false
    },
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "",
    "nat_enabled": "",
    "product_image_type": "",
    "product_type": "Search Engine",
    "service_state": "RUNNING",
    "service_watch_log_collection": false,
    "software_version": "",
    "subnet_id": "",
    "timezone": ""
}

1.20.2 - 1.0

get /v1/clusters/{cluster_id}

Description

Show Cluster.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKSearchEngineClusterDetailResponse
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "account_id": "",
    "allowable_ip_addresses": [],
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "dbaas_engine": "PostgreSQL",
    "dbaas_engine_version_name": "",
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "init_config_option": {
        "backup_option": {
            "retention_period_day": "",
            "starting_time_hour": ""
        },
        "dashboards_port": "",
        "database_port": 9200,
        "database_user_name": "",
        "kibana_port": ""
    },
    "instance_count": 0,
    "instance_groups": [
        {
            "block_storage_groups": [
                {
                    "id": "",
                    "name": "",
                    "role_type": "OS",
                    "size_gb": "",
                    "volume_type": "SSD"
                }
            ],
            "id": "",
            "instances": [
                {
                    "name": "",
                    "public_ip_address": "",
                    "public_ip_id": "",
                    "role_type": "",
                    "service_ip_address": "",
                    "service_state": "RUNNING"
                }
            ],
            "role_type": "",
            "server_type_name": ""
        }
    ],
    "is_combined": "",
    "license": {
        "license_expiry_date": "",
        "license_status": "",
        "license_type": ""
    },
    "maintenance_option": {
        "period_hour": "",
        "starting_day_of_week": "MON",
        "starting_time": "",
        "use_maintenance_option": false
    },
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "",
    "nat_enabled": "",
    "product_image_type": "",
    "product_type": "Search Engine",
    "service_state": "RUNNING",
    "software_version": "",
    "subnet_id": "",
    "timezone": ""
}

1.21 - Show Instance

1.21.1 - 1.1

get /v1/clusters/{cluster_id}/instances/{instance_name}

Description

Show Instance.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone
pathinstance_name
required
Instance name
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInstanceDetailResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/instances/{instance_name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 200

{
    "account_id": "",
    "block_storages": [
        {
            "name": "",
            "role_type": "OS",
            "size_gb": "",
            "volume_type": "SSD"
        }
    ],
    "cluster_id": "",
    "cluster_name": "",
    "cpu_core": "",
    "created_at": "2024-01-15T10:30:00.000Z",
    "created_by": "",
    "dbaas_engine": "",
    "memory_gb": "",
    "modified_at": "2024-01-15T10:30:00.000Z",
    "modified_by": "",
    "name": "",
    "os_type": "",
    "os_version": "",
    "product_image_type": "",
    "product_type": "",
    "public_ip_address": "",
    "public_ip_id": "",
    "region": "",
    "role_type": "",
    "server_type_name": "",
    "service_ip_address": "",
    "service_state": "RUNNING",
    "software_version": "",
    "zone": ""
}

1.22 - Show Request

1.22.1 - 1.1

get /v1/requests/{request_id}

Description

Show Request.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRequestStateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 200

{
    "request_id": "",
    "state": ""
}

1.22.2 - 1.0

get /v1/requests/{request_id}

Description

Show Request.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathrequest_id
required
Request ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
200OKRequestStateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/requests/{request_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 200

{
    "request_id": "",
    "state": ""
}

1.23 - Start Cluster

1.23.1 - 1.1

post /v1/clusters/{cluster_id}/start

Description

Start Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/start

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.23.2 - 1.0

post /v1/clusters/{cluster_id}/start

Description

Start Cluster.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/start

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.24 - Stop Cluster

1.24.1 - 1.1

post /v1/clusters/{cluster_id}/stop

Description

Stop Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/stop

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.24.2 - 1.0

post /v1/clusters/{cluster_id}/stop

Description

Stop Cluster.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/stop

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.25 - Synchronize Cluster State

1.25.1 - 1.1

post /v1/clusters/{cluster_id}/sync-state

Description

Synchronize Cluster State.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/sync-state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.25.2 - 1.0

post /v1/clusters/{cluster_id}/sync-state

Description

Synchronize Cluster State.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/sync-state

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.26 - Terminate Cluster

1.26.1 - 1.1

delete /v1/clusters/{cluster_id}

Description

Terminate Cluster.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.26.2 - 1.0

delete /v1/clusters/{cluster_id}

Description

Terminate Cluster.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.27 - Unset Backup

1.27.1 - 1.1

delete /v1/clusters/{cluster_id}/backups

Description

Unset Backup.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.27.2 - 1.0

delete /v1/clusters/{cluster_id}/backups

Description

Unset Backup.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/backups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.28 - Unset Maintenance

1.28.1 - 1.1

delete /v1/clusters/{cluster_id}/maintenance

Description

Unset Maintenance.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.1"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

1.28.2 - 1.0

delete /v1/clusters/{cluster_id}/maintenance

Description

Unset Maintenance.

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020261031

Parameters

TypeNameDescriptionSchemaDefault
pathcluster_id
required
Cluster ID
Example :
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedAsyncResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/clusters/{cluster_id}/maintenance

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = searchengine 1.0"

Example HTTP response

Response 202

{
    "request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
    "resource": {
        "id": "109a585ae67b4e8482fdafc8a4a5be74"
    }
}

2 - Models

2.1 - AddBlockStoragesRequest

NameDescriptionSchemaDefault
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example : 104
Minimum : 16
Maximum : 5120
integer
volume_type
optional
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)SSD

2.2 - AsyncResponse

NameDescriptionSchemaDefault
request_id
required
Request ID
Example : req-4f668846-8a3d-49f1-8111-451ebccf445c
string
resource
required
Resource
ResourceInfo

2.3 - BackupHistoryApiItem

NameDescriptionSchemaDefault
backup_end_at
required
Backup end time
Example :
string
backup_history_number
required
Backup id
Example :
string
backup_size_gb
required
Backup amount(GB)
Example :
object
backup_start_at
required
Backup start time
Example :
string
backup_state
required
Backup state
Example :
string
backup_state_detail
optional
Backup detail state
Example :
any of [string, null]
software_version
required
Software version
Example :
string

2.4 - BackupHistoryListApiResponse

NameDescriptionSchemaDefault
contents
required
backup list information
array[BackupHistoryApiItem]
total_count
required
total number of backup history
Example :
integer

2.5 - BackupHistoryNumberRequest

NameDescriptionSchemaDefault
backup_history_number
required
Backup id
array[string]

2.6 - BackupSettingExcludingArchiveRequest

NameDescriptionSchemaDefault
retention_period_day
required
Backup retention period (day)
Example :
Pattern : ^([7-9]|^[1-2]\d|^3[0-5])$
string
starting_time_hour
required
Backup starting time (hour)
Example :
Pattern : ^(\d|1\d|2[0-3])$
string

2.7 - BlockStorageGroupRequest

NameDescriptionSchemaDefault
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example : 104
Minimum : 16
Maximum : 5120
integer
volume_type
optional
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)SSD

2.8 - BlockStorageGroupResponse

NameDescriptionSchemaDefault
id
required
ID
Example :
string
name
required
Name
Example :
string
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example :
integer
volume_type
required
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)

2.9 - BlockStorageResponse

NameDescriptionSchemaDefault
name
required
Name
Example :
string
role_type
required
Role type
Example : OS
enum (OS, DATA, ARCHIVE, TEMP, BACKUP)
size_gb
required
Size in GB
Example :
integer
volume_type
required
Volume type
Example : SSD
enum (SSD, SSD_KMS, HDD, HDD_KMS)

2.10 - ClusterPageResponse

NameDescriptionSchemaDefault
contents
required
Clusters list
any of [array[ClusterResponse], null]
count
required
count
Example : 20
integer
page
required
page
Example : 0
integer
size
required
size
Example : 20
integer
sort
optional
sort
Example : ['created_at:asc']
any of [array[string], null]

2.11 - ClusterResponse

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
ha_enabled
optional
HA availability
Example : False
boolean
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
instance_count
optional
Instance Count
Example : 0
integer
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Cluster name
Example :
string
role_type
required
Role type
Example : ORIGIN
any of [enum (ORIGIN, REPLICA, RECOVERY, SECONDARY, MIGRATION, RESTORE, DR_REPLICA, DR_SECONDARY), null]
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)

2.12 - Engine

NameDescriptionSchemaDefault
end_of_service
optional
End of Service
Example : False
boolean
id
required
ID
Example :
string
major_version
required
Software major version
Example :
string
name
required
DBaaS engine version name
Example :
string
os_type
required
OS type
Example :
string
os_version
required
OS version
Example :
string
product_image_type
optional
Product type
Example :
any of [string, null]
software_version
required
Software version
Example :
string

2.13 - EngineListResponse

NameDescriptionSchemaDefault
contents
required
DBaaS engine list
array[Engine]

2.14 - EngineProperty

NameDescriptionSchemaDefault
name
required
DBaas engine property name
Example :
string
value
required
DBaas engine property value
Example :
string

2.15 - EnginePropertyListResponse

NameDescriptionSchemaDefault
contents
required
DBaas engine property list
array[EngineProperty]

2.16 - InstanceDetailResponse

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
block_storages
required
Block storages
array[BlockStorageResponse]
cluster_id
required
Cluster ID
Example :
string
cluster_name
required
Cluster name
Example :
string
cpu_core
required
Server type cpu core
Example :
integer
created_at
required
Creation time
Example : 2024-01-15T10:30:00.000Z
string (date-time)
created_by
required
Creator
Example :
string
dbaas_engine
required
DBaaS engine
Example :
string
memory_gb
required
Server type memory
Example :
integer
modified_at
required
Modification time
Example : 2024-01-15T10:30:00.000Z
string (date-time)
modified_by
required
Modifier
Example :
string
name
required
Name
Example :
string
os_type
required
OS type
Example :
string
os_version
required
OS version
Example :
string
product_image_type
required
Product image type
Example :
string
product_type
required
Product type
Example :
string
public_ip_address
optional
Public IP Address. The address can be obtained via “GET /vpc/v1/publicips” endpoint.
Example :
any of [string, null]
public_ip_id
optional
Public IP ID. The ID can be obtained via “GET /vpc/v1/publicips” endpoint.
Example :
any of [string, null]
region
required
Region
Example :
string
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, STANDBY, PRIMARY, SECONDARY, MASTER, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, READ_REPLICA)
server_type_name
required
Server type name
Example :
string
service_ip_address
optional
User subnet IP address
Example :
any of [string, null]
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)
software_version
required
Software version
Example :
string
zone
required
Availability Zone
Example :
string

2.17 - InstanceGroupResizeRequest

NameDescriptionSchemaDefault
server_type_name
required
Server type name
Example :
string

2.18 - InstanceGroupResponse

NameDescriptionSchemaDefault
block_storage_groups
required
Block storage groups list
array[BlockStorageGroupResponse]
id
required
ID
Example :
string
instances
required
Instances list
array[InstanceResponse]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, ACTIVE_STANDBY, PRIMARY_SECONDARY, MASTER, MASTER_REPLICA, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, PRIMARY, PRIMARY_NODE, READ_NODE)
server_type_name
required
Server type name
Example :
string

2.19 - InstanceResponse

NameDescriptionSchemaDefault
name
required
Name
Example :
string
public_ip_address
optional
Public IP Address. The address can be obtained via “GET /vpc/v1/publicips” endpoint.
Example :
any of [string, null]
public_ip_id
optional
Public IP ID. The ID can be obtained via “GET /vpc/v1/publicips” endpoint.
Example :
any of [string, null]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, STANDBY, PRIMARY, SECONDARY, MASTER, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, READ_REPLICA)
service_ip_address
optional
User subnet IP address
Example :
any of [string, null]
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)

2.20 - MaintenanceOption

NameDescriptionSchemaDefault
period_hour
optional
Period in hours
Example : 5
Pattern : ^(0\.5|[1-5]\.5|[1-9]|1[0-9]|2[0-4])$
string
starting_day_of_week
optional
Starting day of week
Example : MON
enum (MON, TUE, WED, THU, FRI, SAT, SUN)
starting_time
optional
Starting time
Example : 0000
string

2.21 - MaintenanceRequest

NameDescriptionSchemaDefault
start_day_of_week
required
start_day_of_week
Example : MON
enum (MON, TUE, WED, THU, FRI, SAT, SUN)
start_minute
required
start_minute
Example :
string
start_time
required
start_time
Example :
string
term_hour
required
term_hour
Example :
Pattern : ^(0\.5|[1-5]\.5|[1-9]|1[0-9]|2[0-4])$
string

2.22 - MaintenanceResponseOption

NameDescriptionSchemaDefault
period_hour
optional
Period in hours
Example :
any of [string, null]
starting_day_of_week
optional
Starting day of week
Example : MON
any of [enum (MON, TUE, WED, THU, FRI, SAT, SUN), null]
starting_time
optional
Starting time
Example :
any of [string, null]
use_maintenance_option
optional
Maintenance period usage state
Example : False
boolean

2.23 - MinorPatchDbEngineRequest

NameDescriptionSchemaDefault
dbaas_engine
required
dbaas_engine
Example :
string
software_version
required
software_version
Example :
string

2.24 - RequestStateResponse

NameDescriptionSchemaDefault
request_id
required
Request ID
Example :
string
state
required
Request state
Example :
string

2.25 - ResizeBlockStorageGroupRequest

NameDescriptionSchemaDefault
size_gb
required
Size in GB
Example : 16
Minimum : 16
Maximum : 5120
integer

2.26 - ResourceInfo

NameDescriptionSchemaDefault
id
required
request resource id
Example : 109a585ae67b4e8482fdafc8a4a5be74
string

2.27 - SearchEngineClusterAddInstancesRequest

NameDescriptionSchemaDefault
instance_count
required
Instance Count
Example :
integer
public_ip_ids
optional
Public IP ID List
Example :
any of [array[string], null]
service_ip_addresses
required
User subnet IP address
array[string]

2.28 - SearchEngineClusterCreateRequest

NameDescriptionSchemaDefault
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
dbaas_engine_version_id
required
DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint.
Example :
string
init_config_option
required
DB initial configuration option
SearchEngineInitConfigOptionRequest
instance_groups
required
Instance groups list
array[SearchEngineInstanceGroupRequest]
instance_name_prefix
required
Instance name prefix
Example :
Pattern : ^[a-z][a-zA-Z0-9\-]*$
Minimum length : 3
Maximum length : 13
string
is_combined
optional
Master Data server separation state
Example : False
boolean
license
optional
license
Example :
any of [string, null]
maintenance_option
optional
Maintenance option
any of [MaintenanceOption, null]
name
required
Cluster name
Example :
Pattern : ^[a-zA-Z]*$
Minimum length : 3
Maximum length : 20
string
nat_enabled
optional
NAT availability
Example : False
boolean
subnet_id
required
Subnet ID. The ID can be obtained via the GET /vpc/v1/subnets endpoint.
Example :
string
tags
optional
tag
any of [array[Tag], null]
timezone
required
Timezone. The timezone can be obtained via the “GET /support/v1/timezones” endpoint.
Example :
string

2.29 - SearchEngineClusterCreateRequestV1Dot1

NameDescriptionSchemaDefault
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
dbaas_engine_version_id
required
DBaaS engine version ID. The ID can be obtained via the “GET /v1/engine-versions” endpoint.
Example :
string
init_config_option
required
DB initial configuration option
SearchEngineInitConfigOptionRequest
instance_groups
required
Instance groups list
array[SearchEngineInstanceGroupRequest]
instance_name_prefix
required
Instance name prefix
Example :
Pattern : ^[a-z][a-zA-Z0-9\-]*$
Minimum length : 3
Maximum length : 13
string
is_combined
optional
Master Data server separation state
Example : False
boolean
license
optional
license
Example :
any of [string, null]
maintenance_option
optional
Maintenance option
any of [MaintenanceOption, null]
name
required
Cluster name
Example :
Pattern : ^[a-zA-Z]*$
Minimum length : 3
Maximum length : 20
string
nat_enabled
optional
NAT availability
Example : False
boolean
service_watch_log_collection
required
ServiceWatch log collection
Example : True
any of [boolean, null]
subnet_id
required
Subnet ID. The ID can be obtained via the GET /vpc/v1/subnets endpoint.
Example :
string
tags
optional
tag
any of [array[Tag], null]
timezone
required
Timezone. The timezone can be obtained via the “GET /support/v1/timezones” endpoint.
Example :
string

2.30 - SearchEngineClusterDetailResponse

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
dbaas_engine
required
DBaaS engine
Example : PostgreSQL
enum (PostgreSQL, Redis, Valkey, MariaDB, MySQL, Elasticsearch Enterprise, OpenSearch, EPAS, Microsoft SQL Server, Kafka, Vertica)
dbaas_engine_version_name
required
DBaaS engine version name
Example :
string
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
init_config_option
required
DB initial configuration option
SearchEngineInitConfigOptionResponse
instance_count
optional
Instance Count
Example : 0
integer
instance_groups
required
Instance groups list
array[InstanceGroupResponse]
is_combined
optional
Master Data server separation state
Example :
any of [boolean, null]
license
optional
Maintenance option
any of [SearchEngineLicenseResponse, null]
maintenance_option
optional
Maintenance option
any of [MaintenanceResponseOption, null]
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Cluster name
Example :
string
nat_enabled
optional
NAT availability
Example :
any of [boolean, null]
product_image_type
required
Product image type
Example :
string
product_type
required
Product type
Example : Search Engine
enum (QOS, PostgreSQL Community, EPAS, MariaDB, MySQL, Redis, Microsoft SQL Server, Search Engine, Event Streams, Vertica, Scalable DB)
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)
software_version
required
Software version
Example :
string
subnet_id
required
Subnet ID. The ID can be obtained via the GET /vpc/v1/subnets endpoint.
Example :
string
timezone
required
Timezone. The timezone can be obtained via the “GET /support/v1/timezones” endpoint.
Example :
string

2.31 - SearchEngineClusterDetailResponseV1Dot1

NameDescriptionSchemaDefault
account_id
required
Account ID
Example :
string
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
created_at
required
생성 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
created_by
required
생성자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
dbaas_engine
required
DBaaS engine
Example : PostgreSQL
enum (PostgreSQL, Redis, Valkey, MariaDB, MySQL, Elasticsearch Enterprise, OpenSearch, EPAS, Microsoft SQL Server, Kafka, Vertica)
dbaas_engine_version_name
required
DBaaS engine version name
Example :
string
id
required
ID
Example : 0fdd87aab8cb46f59b7c1f81ed03fb3e
string
init_config_option
required
DB initial configuration option
SearchEngineInitConfigOptionResponse
instance_count
optional
Instance Count
Example : 0
integer
instance_groups
required
Instance groups list
array[InstanceGroupResponse]
is_combined
optional
Master Data server separation state
Example :
any of [boolean, null]
license
optional
Maintenance option
any of [SearchEngineLicenseResponse, null]
maintenance_option
optional
Maintenance option
any of [MaintenanceResponseOption, null]
modified_at
required
수정 시간
Example : 2024-05-17T00:23:17Z
string (date-time)
modified_by
required
수정자
Example : 90dddfc2b1e04edba54ba2b41539a9ac
string
name
required
Cluster name
Example :
string
nat_enabled
optional
NAT availability
Example :
any of [boolean, null]
product_image_type
required
Product image type
Example :
string
product_type
required
Product type
Example : Search Engine
enum (QOS, PostgreSQL Community, EPAS, MariaDB, MySQL, Redis, Microsoft SQL Server, Search Engine, Event Streams, Vertica, Scalable DB)
service_state
required
Service state
Example : RUNNING
enum (RUNNING, STOPPED, UNKNOWN, ERROR, FAILED, TERMINATED, CREATING, STOPPING, STARTING, RESTARTING, EDITING, SYNCHRONIZING, UPGRADING, TERMINATING, MIGRATING)
service_watch_log_collection
optional
ServiceWatch log collection
Example : False
boolean
software_version
required
Software version
Example :
string
subnet_id
required
Subnet ID. The ID can be obtained via the GET /vpc/v1/subnets endpoint.
Example :
string
timezone
required
Timezone. The timezone can be obtained via the “GET /support/v1/timezones” endpoint.
Example :
string

2.32 - SearchEngineClusterRestoreRequest

NameDescriptionSchemaDefault
allowable_ip_addresses
optional
Allowed IP addresses list
array[string]
backup_history_number
required
Backup id
Example :
string
instance_groups
required
Instance groups list
array[SearchEngineRestoreInstanceGroup]
instance_name_prefix
required
Instance name prefix
Example :
Pattern : ^[a-z][a-zA-Z0-9\-]*$
Minimum length : 3
Maximum length : 16
string
license
optional
license
Example :
any of [string, null]
maintenance_option
optional
Maintenance option
any of [MaintenanceOption, null]
name
required
Cluster name
Example :
Pattern : ^[a-zA-Z]*$
Minimum length : 3
Maximum length : 20
string
tags
optional
tag
any of [array[Tag], null]

2.33 - SearchEngineInitConfigOptionRequest

NameDescriptionSchemaDefault
backup_option
optional
Backup setting option
any of [BackupSettingExcludingArchiveRequest, null]
database_port
optional
Database service port
Example : 2866
any of [integer, null]9200
database_user_name
required
Database User Name
Example : mydatabaseusr
Pattern : ^[a-z]*$
Minimum length : 2
Maximum length : 20
string
database_user_password
required
Database user password
Example : test123!
Minimum length : 8
Maximum length : 30
string

2.34 - SearchEngineInitConfigOptionResponse

NameDescriptionSchemaDefault
backup_option
optional
Backup setting option
any of [BackupSettingExcludingArchiveRequest, null]
dashboards_port
optional
Dashboards port
Example :
any of [integer, null]
database_port
optional
Database service port
Example : 9200
any of [integer, null]9200
database_user_name
required
Database User Name
Example :
string
kibana_port
optional
Kibana port
Example :
any of [integer, null]

2.35 - SearchEngineInstanceGroupRequest

NameDescriptionSchemaDefault
block_storage_groups
required
Block storage groups list
Example : [{'role_type': 'OS', 'size_gb': 104, 'volume_type': 'SSD'}, {'role_type': 'DATA', 'size_gb': 56, 'volume_type': 'SSD'}]
array[BlockStorageGroupRequest]
instances
required
Instances list
array[SearchEngineInstanceRequest]
role_type
required
Role type
Example : DATA
enum (MASTER, MASTER_DATA, DATA, KIBANA, DASHBOARDS)
server_type_name
required
Server type name
Example : ses1v2m4
string

2.36 - SearchEngineInstanceRequest

NameDescriptionSchemaDefault
public_ip_id
optional
Public IP ID. The ID can be obtained via “GET /vpc/v1/publicips” endpoint.
Example :
any of [string, null]
role_type
required
Role type
Example : DATA
enum (DATA, KIBANA, DASHBOARDS, MASTER, MASTER_DATA)
service_ip_address
optional
User subnet IP address
Example : 192.168.10.10/32
any of [string, null]

2.37 - SearchEngineLicenseResponse

NameDescriptionSchemaDefault
license_expiry_date
required
License expiry date
Example :
string
license_status
required
License state
Example :
string
license_type
required
License type
Example :
string

2.38 - SearchEngineRestoreInstanceGroup

NameDescriptionSchemaDefault
block_storage_groups
required
Block storage groups list
array[BlockStorageGroupRequest]
role_type
required
Role type
Example : ACTIVE
enum (ACTIVE, ACTIVE_STANDBY, PRIMARY_SECONDARY, MASTER, MASTER_REPLICA, REPLICA, SENTINEL, MASTER_DATA, DATA, KIBANA, DASHBOARDS, ZOOKEEPER_BROKER, BROKER, ZOOKEEPER, AKHQ, CONSOLE, PRIMARY, PRIMARY_NODE, READ_NODE)

2.39 - ServerType

NameDescriptionSchemaDefault
cpu_core
required
Server type cpu core
Example :
integer
description
required
Server type description
Example :
string
memory_gb
required
Server type memory
Example :
integer
name
required
Server type name
Example :
string
product_image_type
required
Product image type
Example :
string
product_type
required
Product type
Example :
string
purpose
required
Server type purpose
Example :
string
type
required
Server type class
Example :
string

2.40 - ServerTypeListResponse

NameDescriptionSchemaDefault
contents
required
Server type list
array[ServerType]

2.41 - Tag

NameDescriptionSchemaDefault
key
optional

Example :
string
value
optional

Example :
any of [string, null]

2.42 - UpdateSecurityGroupRulesRequest

NameDescriptionSchemaDefault
add_ip_addresses
optional
Allowed IP addresses list
array[string]
del_ip_addresses
optional
Allowed IP addresses list
array[string]